Page MenuHomeFreeBSD

xen/intr: move x86-only variable out of common
ClosedPublic

Authored by ehem_freebsd_m5p.com on Apr 22 2021, 1:58 AM.
Tags
None
Referenced Files
Unknown Object (File)
Wed, Jul 3, 3:00 AM
Unknown Object (File)
Tue, Jul 2, 10:56 PM
Unknown Object (File)
Mon, Jul 1, 7:00 PM
Unknown Object (File)
Mon, Jul 1, 7:00 PM
Unknown Object (File)
Mon, Jul 1, 7:00 PM
Unknown Object (File)
Mon, Jul 1, 7:00 PM
Unknown Object (File)
Tue, Jun 25, 12:23 PM
Unknown Object (File)
Jun 8 2024, 7:46 AM
Subscribers

Details

Summary

Commit 27c36a12f1584b53d2454dac238eeed3dedc82ba is an x86-only feature.
As such xen_evtchn_needs_ack should only exist on x86.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

In case it isn't obvious, I'm pulling the more compelling portions of my work on sys/x86/xen/xen_intr.c|sys/xen/xen_intr.c through the relocation step. Whether sys/x86/xen/xen_intr.c file gets relocated to sys/xen/xen_intr.c, or sys/xen/xen_intr.c ends up being a complete rework this portion will be needed.

Another spot which showed up on a more recent test.

This is an early phase of getting interrupts operational on ARM. Simply figuring out which functions are actually used in common files (or in case of xen_intr_handle_upcall() needs to be invoked). @julien_xen.org originally implemented it as moving sys/x86/xen/xen_intr.c to sys/xen/xen_intr.c, but I'm wondering whether it is better to start from scratch. The #ifdef in sys/x86/xen/xen_intr.c is a precursor to @julien_xen.org's approach. If it was reimplemented from scratch that would end up useless, but for now I'm keeping that option open.

Update due to PVHv1 removal. Quite the chunk of xen_intr_x86.h disappeared
due to the removal of PVHv1. I now wonder if the declaration of
xen_intr_alloc_and_bind_ipi() should be moved to x86/xen-os.h, this might
make other pieces cleaner.

Needed to update the commit message too. That also shrinks due to removals.

Rebalancing between D29913 and D30605; D29913 should really only be the variable move.

ehem_freebsd_m5p.com retitled this revision from xen/intr: move x86-only bits out of common to xen/intr: move x86-only variable out of common.Jun 2 2021, 2:41 AM
ehem_freebsd_m5p.com edited the summary of this revision. (Show Details)
This revision was not accepted when it landed; it landed in state Needs Review.Nov 28 2023, 1:39 PM
This revision was automatically updated to reflect the committed changes.